libmspub::Shape Struct Referenceabstract

`#include <Shapes.h>`

Inheritance diagram for libmspub::Shape:

## Public Member Functions

| Shape (MSPUBCollector *o)
virtual void | output (librevenge::RVNGDrawingInterface *painter, Coordinate coord)
virtual | ~Shape ()

## Public Attributes

librevenge::RVNGPropertyList | props
librevenge::RVNGPropertyList | graphicsProps

## Protected Member Functions

virtual void | setCoordProps (Coordinate coord)
virtual void | write (librevenge::RVNGDrawingInterface *painter)=0
virtual librevenge::RVNGPropertyListVector | updateGraphicsProps ()
| Shape ()

## Protected Attributes

MSPUBCollector * | owner

## Private Member Functions

| Shape (const Shape &)
Shape & | operator= (const Shape &)

## Constructor & Destructor Documentation

## Shape() [1/3]

libmspub::Shape::Shape | ( | MSPUBCollector * | o | ) |

inline

Referenced by libmspub::FillableShape::FillableShape(), operator=(), and Shape().

## ~Shape()

virtual libmspub::Shape::~Shape | ( |  | ) |

inline virtual

## Shape() [2/3]

libmspub::Shape::Shape | ( |  | ) |

protected

## Shape() [3/3]

libmspub::Shape::Shape | ( | const Shape & |  | ) |

private

## Member Function Documentation

## operator=()

Shape & libmspub::Shape::operator= | ( | const Shape & |  | ) |

private

## output()

virtual void libmspub::Shape::output | ( | librevenge::RVNGDrawingInterface * | painter,
|  | Coordinate | coord )

virtual

Reimplemented in libmspub::GeometricShape.

## setCoordProps()

virtual void libmspub::Shape::setCoordProps | ( | Coordinate | coord | ) |

protected virtual

Reimplemented in libmspub::GeometricShape.

## updateGraphicsProps()

virtual librevenge::RVNGPropertyListVector libmspub::Shape::updateGraphicsProps | ( |  | ) |

protected virtual

Reimplemented in libmspub::FillableShape, and libmspub::GeometricShape.

## write()

virtual void libmspub::Shape::write | ( | librevenge::RVNGDrawingInterface * | painter | ) |

protected pure virtual

Implemented in libmspub::GeometricShape.

## Member Data Documentation

## graphicsProps

librevenge::RVNGPropertyList libmspub::Shape::graphicsProps

Referenced by Shape().

## owner

MSPUBCollector* libmspub::Shape::owner

protected

Referenced by Shape().

## props

librevenge::RVNGPropertyList libmspub::Shape::props

Referenced by Shape().

The documentation for this struct was generated from the following file:

- Shapes.h